EAPI=5

inherit qt4-r2

MY_P="kcachegrind-${PV}"

DESCRIPTION="Qt4-based GUI frontend for Callgrind"
HOMEPAGE="http://kcachegrind.sourceforge.net/"
SRC_URI="http://kcachegrind.sourceforge.net/${MY_P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="dbus"

DEPEND=">=dev-qt/qtgui-4.4
	dbus? ( >=dev-qt/qtdbus-4.4 )"
RDEPEND="${DEPEND}
	media-gfx/graphviz"

S="${WORKDIR}/${MY_P}"

src_prepare() {
	use dbus || PATCHES+=("${FILESDIR}/${PN}-disable-dbus.patch")

	qt4-r2_src_prepare
}

src_configure() {
	eqmake4 qcg.pro
}

src_install() {
	dobin qcachegrind/qcachegrind
	dobin cgview/cgview

	newicon -s 48 kcachegrind/hi48-app-kcachegrind.png kcachegrind.png
	newicon -s 32 kcachegrind/hi32-app-kcachegrind.png kcachegrind.png

	insinto /usr/share/applications
	doins qcachegrind/qcachegrind.desktop
}
